Subject: bug#9190: closed (Re: bug#9190: 24.0.50; wrong indentation in shell mode with main function)

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Aug 2011 22:19:20 -0400

> I have tried your patch today. Sadly it doesn't work... I saw your changes
> from bzr in lisp/progmodes/sh-script.el. I even evaled the file to be sure
> I am not missing anything. I get the exact same behavior.

I just tried and cannot reproduce the problem.  Maybe you've evalled
sh-script.el after loading the test file (in that case, you need to edit
the "main ()" line (e.g. insert a space and remove it) to force
re-computing the syntax-properties of the close-paren using the new
code).
Otherwise, can you give a precise recipe?

        Stefan